// Code generated by protoc-gen-go. DO NOT EDIT.
// source: product_message.proto

package protobuffer

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type CreateGridItemInput struct {
	Description          string   `protobuf:"bytes,1,opt,name=description,proto3" json:"description,omitempty"`
	Acronym              string   `protobuf:"bytes,2,opt,name=acronym,proto3" json:"acronym,omitempty"`
	Sequencer            int64    `protobuf:"varint,3,opt,name=sequencer,proto3" json:"sequencer,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateGridItemInput) Reset()         { *m = CreateGridItemInput{} }
func (m *CreateGridItemInput) String() string { return proto.CompactTextString(m) }
func (*CreateGridItemInput) ProtoMessage()    {}
func (*CreateGridItemInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_ced29fff4f0e4b94, []int{0}
}

func (m *CreateGridItemInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateGridItemInput.Unmarshal(m, b)
}
func (m *CreateGridItemInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateGridItemInput.Marshal(b, m, deterministic)
}
func (m *CreateGridItemInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateGridItemInput.Merge(m, src)
}
func (m *CreateGridItemInput) XXX_Size() int {
	return xxx_messageInfo_CreateGridItemInput.Size(m)
}
func (m *CreateGridItemInput) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateGridItemInput.DiscardUnknown(m)
}

var xxx_messageInfo_CreateGridItemInput proto.InternalMessageInfo

func (m *CreateGridItemInput) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *CreateGridItemInput) GetAcronym() string {
	if m != nil {
		return m.Acronym
	}
	return ""
}

func (m *CreateGridItemInput) GetSequencer() int64 {
	if m != nil {
		return m.Sequencer
	}
	return 0
}

type CreateGridInput struct {
	TypeGrid             string                 `protobuf:"bytes,1,opt,name=typeGrid,proto3" json:"typeGrid,omitempty"`
	Items                []*CreateGridItemInput `protobuf:"bytes,2,rep,name=items,proto3" json:"items,omitempty"`
	XXX_NoUnkeyedLiteral struct{}               `json:"-"`
	XXX_unrecognized     []byte                 `json:"-"`
	XXX_sizecache        int32                  `json:"-"`
}

func (m *CreateGridInput) Reset()         { *m = CreateGridInput{} }
func (m *CreateGridInput) String() string { return proto.CompactTextString(m) }
func (*CreateGridInput) ProtoMessage()    {}
func (*CreateGridInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_ced29fff4f0e4b94, []int{1}
}

func (m *CreateGridInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateGridInput.Unmarshal(m, b)
}
func (m *CreateGridInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateGridInput.Marshal(b, m, deterministic)
}
func (m *CreateGridInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateGridInput.Merge(m, src)
}
func (m *CreateGridInput) XXX_Size() int {
	return xxx_messageInfo_CreateGridInput.Size(m)
}
func (m *CreateGridInput) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateGridInput.DiscardUnknown(m)
}

var xxx_messageInfo_CreateGridInput proto.InternalMessageInfo

func (m *CreateGridInput) GetTypeGrid() string {
	if m != nil {
		return m.TypeGrid
	}
	return ""
}

func (m *CreateGridInput) GetItems() []*CreateGridItemInput {
	if m != nil {
		return m.Items
	}
	return nil
}

type CreateProductInput struct {
	Description          string             `protobuf:"bytes,1,opt,name=description,proto3" json:"description,omitempty"`
	EnableGrid           bool               `protobuf:"varint,2,opt,name=enableGrid,proto3" json:"enableGrid,omitempty"`
	Grids                []*CreateGridInput `protobuf:"bytes,3,rep,name=grids,proto3" json:"grids,omitempty"`
	ImageLink            string             `protobuf:"bytes,4,opt,name=imageLink,proto3" json:"imageLink,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *CreateProductInput) Reset()         { *m = CreateProductInput{} }
func (m *CreateProductInput) String() string { return proto.CompactTextString(m) }
func (*CreateProductInput) ProtoMessage()    {}
func (*CreateProductInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_ced29fff4f0e4b94, []int{2}
}

func (m *CreateProductInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateProductInput.Unmarshal(m, b)
}
func (m *CreateProductInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateProductInput.Marshal(b, m, deterministic)
}
func (m *CreateProductInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateProductInput.Merge(m, src)
}
func (m *CreateProductInput) XXX_Size() int {
	return xxx_messageInfo_CreateProductInput.Size(m)
}
func (m *CreateProductInput) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateProductInput.DiscardUnknown(m)
}

var xxx_messageInfo_CreateProductInput proto.InternalMessageInfo

func (m *CreateProductInput) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *CreateProductInput) GetEnableGrid() bool {
	if m != nil {
		return m.EnableGrid
	}
	return false
}

func (m *CreateProductInput) GetGrids() []*CreateGridInput {
	if m != nil {
		return m.Grids
	}
	return nil
}

func (m *CreateProductInput) GetImageLink() string {
	if m != nil {
		return m.ImageLink
	}
	return ""
}

type CreateProductOutput struct {
	Message              string   `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	Error                string   `protobuf:"bytes,2,opt,name=error,proto3" json:"error,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateProductOutput) Reset()         { *m = CreateProductOutput{} }
func (m *CreateProductOutput) String() string { return proto.CompactTextString(m) }
func (*CreateProductOutput) ProtoMessage()    {}
func (*CreateProductOutput) Descriptor() ([]byte, []int) {
	return fileDescriptor_ced29fff4f0e4b94, []int{3}
}

func (m *CreateProductOutput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateProductOutput.Unmarshal(m, b)
}
func (m *CreateProductOutput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateProductOutput.Marshal(b, m, deterministic)
}
func (m *CreateProductOutput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateProductOutput.Merge(m, src)
}
func (m *CreateProductOutput) XXX_Size() int {
	return xxx_messageInfo_CreateProductOutput.Size(m)
}
func (m *CreateProductOutput) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateProductOutput.DiscardUnknown(m)
}

var xxx_messageInfo_CreateProductOutput proto.InternalMessageInfo

func (m *CreateProductOutput) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *CreateProductOutput) GetError() string {
	if m != nil {
		return m.Error
	}
	return ""
}

type UpdateGridItemInput struct {
	Description          string   `protobuf:"bytes,1,opt,name=description,proto3" json:"description,omitempty"`
	Acronym              string   `protobuf:"bytes,2,opt,name=acronym,proto3" json:"acronym,omitempty"`
	Sequencer            int64    `protobuf:"varint,3,opt,name=sequencer,proto3" json:"sequencer,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateGridItemInput) Reset()         { *m = UpdateGridItemInput{} }
func (m *UpdateGridItemInput) String() string { return proto.CompactTextString(m) }
func (*UpdateGridItemInput) ProtoMessage()    {}
func (*UpdateGridItemInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_ced29fff4f0e4b94, []int{4}
}

func (m *UpdateGridItemInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateGridItemInput.Unmarshal(m, b)
}
func (m *UpdateGridItemInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateGridItemInput.Marshal(b, m, deterministic)
}
func (m *UpdateGridItemInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateGridItemInput.Merge(m, src)
}
func (m *UpdateGridItemInput) XXX_Size() int {
	return xxx_messageInfo_UpdateGridItemInput.Size(m)
}
func (m *UpdateGridItemInput) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateGridItemInput.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateGridItemInput proto.InternalMessageInfo

func (m *UpdateGridItemInput) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *UpdateGridItemInput) GetAcronym() string {
	if m != nil {
		return m.Acronym
	}
	return ""
}

func (m *UpdateGridItemInput) GetSequencer() int64 {
	if m != nil {
		return m.Sequencer
	}
	return 0
}

type UpdateGridInput struct {
	TypeGrid             string                 `protobuf:"bytes,1,opt,name=typeGrid,proto3" json:"typeGrid,omitempty"`
	Items                []*UpdateGridItemInput `protobuf:"bytes,2,rep,name=items,proto3" json:"items,omitempty"`
	XXX_NoUnkeyedLiteral struct{}               `json:"-"`
	XXX_unrecognized     []byte                 `json:"-"`
	XXX_sizecache        int32                  `json:"-"`
}

func (m *UpdateGridInput) Reset()         { *m = UpdateGridInput{} }
func (m *UpdateGridInput) String() string { return proto.CompactTextString(m) }
func (*UpdateGridInput) ProtoMessage()    {}
func (*UpdateGridInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_ced29fff4f0e4b94, []int{5}
}

func (m *UpdateGridInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateGridInput.Unmarshal(m, b)
}
func (m *UpdateGridInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateGridInput.Marshal(b, m, deterministic)
}
func (m *UpdateGridInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateGridInput.Merge(m, src)
}
func (m *UpdateGridInput) XXX_Size() int {
	return xxx_messageInfo_UpdateGridInput.Size(m)
}
func (m *UpdateGridInput) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateGridInput.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateGridInput proto.InternalMessageInfo

func (m *UpdateGridInput) GetTypeGrid() string {
	if m != nil {
		return m.TypeGrid
	}
	return ""
}

func (m *UpdateGridInput) GetItems() []*UpdateGridItemInput {
	if m != nil {
		return m.Items
	}
	return nil
}

type UpdateProductInput struct {
	Uuid                 string             `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	Description          string             `protobuf:"bytes,2,opt,name=description,proto3" json:"description,omitempty"`
	EnableGrid           bool               `protobuf:"varint,3,opt,name=enableGrid,proto3" json:"enableGrid,omitempty"`
	Grids                []*CreateGridInput `protobuf:"bytes,4,rep,name=grids,proto3" json:"grids,omitempty"`
	ImageLink            string             `protobuf:"bytes,5,opt,name=imageLink,proto3" json:"imageLink,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *UpdateProductInput) Reset()         { *m = UpdateProductInput{} }
func (m *UpdateProductInput) String() string { return proto.CompactTextString(m) }
func (*UpdateProductInput) ProtoMessage()    {}
func (*UpdateProductInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_ced29fff4f0e4b94, []int{6}
}

func (m *UpdateProductInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateProductInput.Unmarshal(m, b)
}
func (m *UpdateProductInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateProductInput.Marshal(b, m, deterministic)
}
func (m *UpdateProductInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateProductInput.Merge(m, src)
}
func (m *UpdateProductInput) XXX_Size() int {
	return xxx_messageInfo_UpdateProductInput.Size(m)
}
func (m *UpdateProductInput) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateProductInput.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateProductInput proto.InternalMessageInfo

func (m *UpdateProductInput) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

func (m *UpdateProductInput) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *UpdateProductInput) GetEnableGrid() bool {
	if m != nil {
		return m.EnableGrid
	}
	return false
}

func (m *UpdateProductInput) GetGrids() []*CreateGridInput {
	if m != nil {
		return m.Grids
	}
	return nil
}

func (m *UpdateProductInput) GetImageLink() string {
	if m != nil {
		return m.ImageLink
	}
	return ""
}

type UpdateProductOutput struct {
	Message              string   `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	Error                string   `protobuf:"bytes,2,opt,name=error,proto3" json:"error,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateProductOutput) Reset()         { *m = UpdateProductOutput{} }
func (m *UpdateProductOutput) String() string { return proto.CompactTextString(m) }
func (*UpdateProductOutput) ProtoMessage()    {}
func (*UpdateProductOutput) Descriptor() ([]byte, []int) {
	return fileDescriptor_ced29fff4f0e4b94, []int{7}
}

func (m *UpdateProductOutput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateProductOutput.Unmarshal(m, b)
}
func (m *UpdateProductOutput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateProductOutput.Marshal(b, m, deterministic)
}
func (m *UpdateProductOutput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateProductOutput.Merge(m, src)
}
func (m *UpdateProductOutput) XXX_Size() int {
	return xxx_messageInfo_UpdateProductOutput.Size(m)
}
func (m *UpdateProductOutput) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateProductOutput.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateProductOutput proto.InternalMessageInfo

func (m *UpdateProductOutput) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *UpdateProductOutput) GetError() string {
	if m != nil {
		return m.Error
	}
	return ""
}

func init() {
	proto.RegisterType((*CreateGridItemInput)(nil), "product_service.CreateGridItemInput")
	proto.RegisterType((*CreateGridInput)(nil), "product_service.CreateGridInput")
	proto.RegisterType((*CreateProductInput)(nil), "product_service.CreateProductInput")
	proto.RegisterType((*CreateProductOutput)(nil), "product_service.CreateProductOutput")
	proto.RegisterType((*UpdateGridItemInput)(nil), "product_service.UpdateGridItemInput")
	proto.RegisterType((*UpdateGridInput)(nil), "product_service.UpdateGridInput")
	proto.RegisterType((*UpdateProductInput)(nil), "product_service.UpdateProductInput")
	proto.RegisterType((*UpdateProductOutput)(nil), "product_service.UpdateProductOutput")
}

func init() {
	proto.RegisterFile("product_message.proto", fileDescriptor_ced29fff4f0e4b94)
}

var fileDescriptor_ced29fff4f0e4b94 = []byte{
	// 399 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xbc, 0x94, 0x4f, 0x4b, 0xeb, 0x40,
	0x10, 0xc0, 0x5f, 0x9a, 0xa6, 0x7f, 0xa6, 0xbc, 0x57, 0xd8, 0xf7, 0x1e, 0x2c, 0x45, 0x24, 0xc4,
	0x1e, 0x7a, 0xea, 0xa1, 0x82, 0x07, 0x8f, 0x8a, 0x48, 0x41, 0x50, 0x22, 0xbd, 0x78, 0x91, 0x34,
	0x99, 0x96, 0x45, 0xf3, 0xc7, 0xcd, 0xae, 0xd0, 0xef, 0xe4, 0x67, 0x10, 0x3f, 0x9a, 0x64, 0x37,
	0x69, 0xd3, 0x9a, 0x56, 0xb1, 0xe0, 0x2d, 0x33, 0x3b, 0x3b, 0xf3, 0x9b, 0xfd, 0x41, 0xe0, 0x7f,
	0xc2, 0xe3, 0x40, 0xfa, 0xe2, 0x3e, 0xc4, 0x34, 0xf5, 0xe6, 0x38, 0x4c, 0x78, 0x2c, 0x62, 0xd2,
	0x2d, 0xd2, 0x29, 0xf2, 0x67, 0xe6, 0xa3, 0x13, 0xc3, 0xdf, 0x73, 0x8e, 0x9e, 0xc0, 0x4b, 0xce,
	0x82, 0xb1, 0xc0, 0x70, 0x1c, 0x25, 0x52, 0x10, 0x1b, 0x3a, 0x01, 0xa6, 0x3e, 0x67, 0x89, 0x60,
	0x71, 0x44, 0x0d, 0xdb, 0x18, 0xb4, 0xdd, 0x72, 0x8a, 0x50, 0x68, 0x7a, 0x3e, 0x8f, 0xa3, 0x45,
	0x48, 0x6b, 0xea, 0xb4, 0x08, 0xc9, 0x01, 0xb4, 0x53, 0x7c, 0x92, 0x18, 0xf9, 0xc8, 0xa9, 0x69,
	0x1b, 0x03, 0xd3, 0x5d, 0x25, 0x1c, 0x06, 0xdd, 0xd2, 0x40, 0x35, 0xac, 0x07, 0x2d, 0xb1, 0x48,
	0x54, 0x22, 0x9f, 0xb4, 0x8c, 0xc9, 0x29, 0x58, 0x4c, 0x60, 0x98, 0xd2, 0x9a, 0x6d, 0x0e, 0x3a,
	0xa3, 0xfe, 0x70, 0x63, 0x81, 0x61, 0x05, 0xbd, 0xab, 0xaf, 0x38, 0x2f, 0x06, 0x10, 0x7d, 0x7c,
	0xa3, 0x2f, 0x7d, 0x75, 0xb7, 0x43, 0x00, 0x8c, 0xbc, 0xe9, 0xa3, 0x46, 0xca, 0xd6, 0x6b, 0xb9,
	0xa5, 0x0c, 0x39, 0x01, 0x6b, 0xce, 0x59, 0x90, 0x52, 0x53, 0x41, 0xd9, 0xbb, 0xa0, 0x34, 0x90,
	0x2a, 0xcf, 0x5e, 0x86, 0x85, 0xde, 0x1c, 0xaf, 0x58, 0xf4, 0x40, 0xeb, 0x6a, 0xee, 0x2a, 0xe1,
	0x5c, 0x14, 0x2a, 0x72, 0xda, 0x6b, 0x29, 0x32, 0x5c, 0x0a, 0xcd, 0xdc, 0x61, 0x8e, 0x5a, 0x84,
	0xe4, 0x1f, 0x58, 0xc8, 0x79, 0xcc, 0x73, 0x01, 0x3a, 0xc8, 0x8c, 0x4e, 0x92, 0xe0, 0x67, 0x8d,
	0x96, 0x06, 0xee, 0x6f, 0xb4, 0x82, 0xbe, 0x30, 0xfa, 0x66, 0x00, 0xd1, 0xc7, 0x6b, 0x46, 0x09,
	0xd4, 0xa5, 0x5c, 0x8e, 0x52, 0xdf, 0x9b, 0xfb, 0xd6, 0x3e, 0xb3, 0x6c, 0x6e, 0xb7, 0x5c, 0xdf,
	0xc3, 0xb2, 0x55, 0x61, 0x79, 0x6d, 0x83, 0xef, 0x59, 0x1e, 0xbd, 0x1a, 0xf0, 0x27, 0xef, 0x70,
	0xab, 0x71, 0xc8, 0x04, 0x1a, 0x9a, 0x88, 0x1c, 0x6d, 0x41, 0x2d, 0x3f, 0x5a, 0xaf, 0xbf, 0xbb,
	0x48, 0x73, 0x39, 0xbf, 0xb2, 0xb6, 0x1a, 0xb8, 0xa2, 0xed, 0x47, 0x17, 0xbd, 0xfe, 0xee, 0xa2,
	0xa2, 0xed, 0xd9, 0xef, 0xbb, 0x8e, 0xfa, 0x25, 0x4d, 0xe5, 0x6c, 0x86, 0x7c, 0xda, 0x50, 0xc1,
	0xf1, 0x7b, 0x00, 0x00, 0x00, 0xff, 0xff, 0x64, 0xdb, 0x60, 0x05, 0xb8, 0x04, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// ProductServiceClient is the client API for ProductService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ProductServiceClient interface {
	Create(ctx context.Context, in *CreateProductInput, opts ...grpc.CallOption) (*CreateProductOutput, error)
	Update(ctx context.Context, in *UpdateProductInput, opts ...grpc.CallOption) (*UpdateProductOutput, error)
}

type productServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewProductServiceClient(cc grpc.ClientConnInterface) ProductServiceClient {
	return &productServiceClient{cc}
}

func (c *productServiceClient) Create(ctx context.Context, in *CreateProductInput, opts ...grpc.CallOption) (*CreateProductOutput, error) {
	out := new(CreateProductOutput)
	err := c.cc.Invoke(ctx, "/product_service.ProductService/Create", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *productServiceClient) Update(ctx context.Context, in *UpdateProductInput, opts ...grpc.CallOption) (*UpdateProductOutput, error) {
	out := new(UpdateProductOutput)
	err := c.cc.Invoke(ctx, "/product_service.ProductService/Update", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ProductServiceServer is the server API for ProductService service.
type ProductServiceServer interface {
	Create(context.Context, *CreateProductInput) (*CreateProductOutput, error)
	Update(context.Context, *UpdateProductInput) (*UpdateProductOutput, error)
}

// UnimplementedProductServiceServer can be embedded to have forward compatible implementations.
type UnimplementedProductServiceServer struct {
}

func (*UnimplementedProductServiceServer) Create(ctx context.Context, req *CreateProductInput) (*CreateProductOutput, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Create not implemented")
}
func (*UnimplementedProductServiceServer) Update(ctx context.Context, req *UpdateProductInput) (*UpdateProductOutput, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Update not implemented")
}

func RegisterProductServiceServer(s *grpc.Server, srv ProductServiceServer) {
	s.RegisterService(&_ProductService_serviceDesc, srv)
}

func _ProductService_Create_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateProductInput)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProductServiceServer).Create(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/product_service.ProductService/Create",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProductServiceServer).Create(ctx, req.(*CreateProductInput))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProductService_Update_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateProductInput)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProductServiceServer).Update(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/product_service.ProductService/Update",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProductServiceServer).Update(ctx, req.(*UpdateProductInput))
	}
	return interceptor(ctx, in, info, handler)
}

var _ProductService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "product_service.ProductService",
	HandlerType: (*ProductServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Create",
			Handler:    _ProductService_Create_Handler,
		},
		{
			MethodName: "Update",
			Handler:    _ProductService_Update_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "product_message.proto",
}
